#define SEN SSP1CON2bits.SEN
//#define SEN SSP2CON2bits.SEN
//#define transfered
#ifdef transfered
inline void IICtransfered(void);
#endif
extern inline void IICconfig(char speeddiv);
extern inline void IICinterrupt(void);
extern volatile struct     //user wouldn't changed it in time of transfer
{
     unsigned Read: 1;  //user set this flag that means I2C is busied by reading
                        //and it is cleared  by routine when I2C transfer finished
     unsigned Write: 1; //the same for writing
     unsigned OK: 1;    //set by routine when I2C transfer finished OK
                        //and cleared when transfer has begining
     unsigned NoWordAdr:1;//when no word address, but only device address
                          //is written(on random access)
     unsigned LongWordAdr:1;//when 2 bytes of word address are used, first byte(wordAdr)
                          //  and second(wordAdr2) - e.g. in serial EEPROM
     void *pointerDMA;    //pointer into RAM of PIC controller, where  data
                          //for writing or by reading  are saved
     unsigned char bytes;// number of data bytes transfered (no address inclusive )
     unsigned char devAdr;  //device address of I2C slave chip
     unsigned char wordAdr; //1 Byte word(register) address in I2C chip
     unsigned char wordAdr2; //2. byte of long word address, if it has 2 Bytes
}IIC;
